## org.gnu.glib
Class Type

    java.lang.Object
      org.gnu.glib.Type

public class Type
extends java.lang.Object

This class represents the GLib Runtime type identification and management system. It provides the facilities for registering and managing all fundamental data types. It should be for internal use only and not be exposed outside of the library.

Constructor Summary
`Type(int handle)` Construct a new Type from a integer that represents the type.
`Type(java.lang.String name)` Construct a Type by its' name.

Method Summary
`static Type` `BOOLEAN()` Return a Type instance initialized as BOOLEAN.
`static Type` `BOXED()` Return a Type instance initialized as BOXED.
`static Type` `CHAR()` Return a Type instance initialized as CHAR.
`static Type` `DOUBLE()` Return a Type instance initialized as DOUBLE.
`static Type` `FLAGS()` Return a Type instance initialized as FLAGS.
`static Type` `FLOAT()` Return a Type instance initialized as FLOAT.
`int` `getTypeHandle()` Returns the unique identifyer used to identify a type in the native libraries.
`static Type` `INT()` Return a Type instance initialized as INT.
`static Type` `INTERFACE()` Return a Type instance initialized as INTERFACE.
`static Type` `INVALID()` Return a Type instance initialized as INVALID.
`static Type` `JAVA_OBJECT()` Return a Type instance initialized as JAVA_OBJECT.
`static Type` `LONG()` Return a Type instance initialized as LONG.
`static Type` `NONE()` Return a Type instance initialized as NONE.
`static Type` `OBJECT()` Return a Type instance initialized as OBJECT.
`static Type` `PARAM()` Return a Type instance initialized as PARAM.
`static Type` `PIXBUF()` Return a Type instance initialized as PIXBUF.
`static Type` `STRING()` Return a Type instance initialized as STRING.
`boolean` `typeEquals(Type aType)` Compares a Type with the current object.
`boolean` `typeIsA(Type aType)` Determine if the `Type` parameter is a derivable type, checking whether this `Type` object is a descendant of the `Type` parameter.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Type

    public Type(int handle)

  Construct a new Type from a integer that represents the type.

### Type

    public Type(java.lang.String name)

  Construct a Type by its' name.

Method Detail

### getTypeHandle

    public int getTypeHandle()

  Returns the unique identifyer used to identify a type in the native libraries.

### typeEquals

    public boolean typeEquals(Type aType)

  Compares a Type with the current object.

### typeIsA

    public boolean typeIsA(Type aType)

  Determine if the `Type` parameter is a derivable type, checking whether this `Type` object is a descendant of the `Type` parameter. If the `Type` parameter is an interface, check whether this `Type` object conforms to it.

  Parameters:
    `aType` - the Type to compare this Type with.
  Returns:
    `true` if this type is equal or descendant of `aType`, `false` otherwise.

### INVALID

    public static final Type INVALID()

  Return a Type instance initialized as INVALID.

### NONE

    public static final Type NONE()

  Return a Type instance initialized as NONE.

### INTERFACE

    public static final Type INTERFACE()

  Return a Type instance initialized as INTERFACE.

### CHAR

    public static final Type CHAR()

  Return a Type instance initialized as CHAR.

### BOOLEAN

    public static final Type BOOLEAN()

  Return a Type instance initialized as BOOLEAN.

### INT

    public static final Type INT()

  Return a Type instance initialized as INT.

### LONG

    public static final Type LONG()

  Return a Type instance initialized as LONG.

### FLAGS

    public static final Type FLAGS()

  Return a Type instance initialized as FLAGS.

### FLOAT

    public static final Type FLOAT()

  Return a Type instance initialized as FLOAT.

### DOUBLE

    public static final Type DOUBLE()

  Return a Type instance initialized as DOUBLE.

### STRING

    public static final Type STRING()

  Return a Type instance initialized as STRING.

### BOXED

    public static final Type BOXED()

  Return a Type instance initialized as BOXED.

### PARAM

    public static final Type PARAM()

  Return a Type instance initialized as PARAM.

### OBJECT

    public static final Type OBJECT()

  Return a Type instance initialized as OBJECT.

  See Also:
    `JAVA_OBJECT()`

### JAVA_OBJECT

    public static final Type JAVA_OBJECT()

  Return a Type instance initialized as JAVA_OBJECT.

### PIXBUF

    public static final Type PIXBUF()

  Return a Type instance initialized as PIXBUF.